Galería

Instalando #Gradle Build Tool con el Package Manager #Chocolatey

Gradle-BuildtoolHe seguido, y con bastante agrado la evolución de Gradle desde sus 1eras versiones hasta su más reciente versión (al momento, la 3.4.1).

logo_squareSin embargo, hasta ahora siempre me había conformado con realizar la instalación de manera manual, tal como acostumbramos hacer con cualquiera otra de nuestras herramientas, llámese Ant, Maven o hasta el propio Eclipse IDE.

En esta ocasión, buscaremos realizar la instalación de Gradle Build Tool con el Package Manager Chocolatey.

Instalando el Package Manager Chocolatey

Chocolatey (https://chocolatey.org/) es un Package Manager para Microsoft Windows que funciona con PowerShell y el .NET Framework.

Si aún no contamos con él, solo tenemos con abrir nuestro PowerShell en modo elevado (con permisos de administrador)

installChocolatey_01

y ejecutar el comando:

iwr https://chocolatey.org/install.ps1 -UseBasicParsing | iex

installChocolatey_02

Y listo, tal como dice el mensaje de la consola…

Chocolatey (choco.exe) is now ready.

Solo recuerda, cerrar y volver a abrir el shell antes de utilizarlo

WARNING: It’s very likely you will need to close and reopen your shell
before you can use choco.

Instalando Gradle Build Tool con el Package Manager Chocolatey

Para realizar la instalación abrimos una consola CMD/PowerShell

IMPORTANTE! : Con permisos de Administrador o  recibiremos una advertencia

choco_warning

Si a pesar de la Advertencia, insistiéramos en ejecutar la sentencia, obtendremos un error y la instalación no se realizará

gradle-fail

…y ejecutamos el siguiente comando

choco install gradle

Voalá!!

En pocos minutos tendremos nuestro Gradle instalado.

Lo cual podremos comprobar cerrando y abriendo otra consola y ejecutando el comando

gradle -version

evidencia_install_gradle

Lo malo !!

Imagino que al comprobar la instalación se dieron cuenta. En lugar de instalar el paquete de la última versión, Chocolatey realizó la instalación de la versión 3.1 de Gradle

Error de Chocolatey o de Gradle?

Quien sabe

Para intentar resolver esto, ejecutamos el comando indicando la versión específica y agregando el modificador –force para indicar la desinstalación de la versión previamente instalada.

choco install gradle 3.4.1 –force

gradle-install-341-force

Sin embargo, nuevamente realizó la instalación de la versión 3.1 y falló con un mensaje

chocolatey-fail

Ni modo, …

Creo que por lo pronto, continuaré realizando mi instalación de Gradle de manera manual.

Así que ejecutaremos el comando

choco uninstall gradle

uninstall31

Y comprobaremos que se haya desinstalado el gradle ejecutando

gradle -version

notgradle

 

Fue divertido el ejercicio.

Espero te haya sido útil este post.

………….

Quiero man.tener.me informado: Seguir en Twitter @eldavid_oficial https://twitter.com/eldavid_oficial

Regálame un ME GUSTA. Y si eres solidario, COMPARTE para que otros puedan aprovecharlo.

Anuncios

Responder

Por favor, inicia sesión con uno de estos métodos para publicar tu comentario:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s